using System;
using System.Collections.Generic;
using System.Text;

using jade.core;
using jade.core.behaviours;
using jade.lang.acl;
using jade.domain.FIPAAgentManagement;

using jade.domain;


namespace MASTask2
{
    class BoneServer : Agent
    {
        public override void setup()
        {
            //[c] DF registration: 
            ServiceDescription sd = new ServiceDescription();
            sd.setType("buyer");
            sd.setName(getLocalName());
            register(sd);


            //[c] Agent start:
            addBehaviour(new Initialization(this));
        }

        void register(ServiceDescription sd)
        {
            DFAgentDescription dfd = new DFAgentDescription();
            dfd.setName(getAID());
            dfd.addServices(sd);

            try
            {
                DFService.register(this, dfd);
            }
            catch (FIPAException fe) { fe.printStackTrace(); }
        }

    }
}
