/*************************************************
 * MAS:Task1.          
 * 22.10.06
 * turnik(c)
 *  1. 
 *   . 1  - ,
 * 2  - .
 *      .
 *   < 100%
**************************************************/
using System;
using System.Collections.Generic;
using System.Text;

using jade.core;
using jade.wrapper;

namespace MASTask1
{
    class BootStrap
    {
        static void Main(string[] args)
        {
            try
            {
                //[c] intialization: 
                Runtime runtime = Runtime.instance();

                Profile profile = new ProfileImpl();
                jade.wrapper.AgentContainer agentContainer = runtime.createMainContainer(profile);


                //[c] server initialization:
                agentContainer.createNewAgent
                    ("BoneServer",
                    "MASTask1.BoneServer",
                    new object[] 
                    { 
                        agentContainer, "-gui" 
                    }).start();

                //[c] gamers' initialization:
                agentContainer.createNewAgent
                    ("Gamer1",
                     "MASTask1.BoneGamer",
                     new object[] 
                     { 
                        agentContainer, "-gui" 
                     }).start();

                agentContainer.createNewAgent
                    ("Gamer2",
                     "MASTask1.BoneGamer",
                     new object[] 
                     { 
                        agentContainer, "-gui" 
                     }).start();



            }
            catch (Exception exc)
            {
                Console.WriteLine("\n\t!!!Exception has occured {0}\n", exc);
                Console.WriteLine("termination... CTL+C  \n");
            }

        }

    }
}
