using System;
using System.Collections.Generic;
using System.Text;

using jade.core;
using jade.wrapper;

namespace MASTask2
{
    class BootStrap
    {
        static void Main(string[] args)
        {
            try
            {
                //[c] intialization: 
                Runtime runtime = Runtime.instance();

                Profile profile = new ProfileImpl();
                jade.wrapper.AgentContainer agentContainer = runtime.createMainContainer(profile);

                //[c] server initialization:
                agentContainer.createNewAgent
                    ("BoneServer",
                    "MASTask2.BoneServer",
                    new object[] 
                    { 
                        agentContainer, "-gui" 
                    }).start();


            }
            catch (Exception exc)
            {
                Console.WriteLine("\n\t!!!Exception has occured {0}\n", exc);
                Console.WriteLine("termination... CTL+C  \n");
            }

        }
    }
}
