using System;
using System.Collections.Generic;
using System.Text;
/*
    import jade.domain.DFService;
    import jade.domain.FIPAAgentManagement.*;
    import jade.domain.FIPAException;
*/
using jade.domain.FIPAAgentManagement;
using jade.domain;

using jade.core;
using jade.wrapper;

namespace MASTask2
{
    class BootStrap
    {
        static void Main(string[] args)
        {
            try
            {
                //[c] intialization: 
                Runtime runtime = Runtime.instance();

                Profile profile = new ProfileImpl();
                jade.wrapper.AgentContainer agentContainer = runtime.createMainContainer(profile);


                //[c] server initialization:
                agentContainer.createNewAgent
                    ("BoneServer",
                    "MASTask2.BoneServer",
                    new object[] 
                    { 
                        agentContainer, "-gui" 
                    }).start();
                //[c] 5 gamers initialization:
                string[] GamerName = { "Gamer1", "Gamer2", "Gamer3", "Gamer4", "Gamer5" };
                for (int j = 0; j < 5; j++)
                {
                    agentContainer.createNewAgent
                        (GamerName.GetValue(j).ToString(),
                        "MASTask2.BoneGamer",
                        new object[] 
                    { 
                        agentContainer, "-gui" 
                    }).start();
                }

            }
            catch (Exception exc)
            {
                Console.WriteLine("\n\t!!!Exception has occured {0}\n", exc);
                Console.WriteLine("termination... CTL+C  \n");
            }

        }
    }
}
