using System;
using System.Collections.Generic;
using System.Text;
/*
    import jade.domain.DFService;
    import jade.domain.FIPAAgentManagement.*;
    import jade.domain.FIPAException;
*/
using jade.domain.FIPAAgentManagement;
using jade.domain;

using jade.core;
using jade.wrapper;

namespace MASTask2
{
    class BootStrap
    {
        static void Main(string[] args)
        {
            int sellerC = 2;
            int buyerC = 2;

            try
            {
                //[c] intialization: 
                Runtime runtime = Runtime.instance();

                Profile profile = new ProfileImpl();
                jade.wrapper.AgentContainer agentContainer = runtime.createMainContainer(profile);
                for (int i = 0; i < sellerC; i++)
                {
                    agentContainer.createNewAgent
                       ("Seller" + (i+1),
                       "Buyer.Seller",
                       new object[] 
                    { 
                        agentContainer, "-gui" 
                    }).start();
                }
                for (int i = 0; i < buyerC; i++)
                {
                    agentContainer.createNewAgent
                       ("Buyer" + (i+1),
                       "Buyer.Buyer",
                       new object[] 
                    { 
                        agentContainer, "-gui" 
                    }).start();
                }
            }
            catch (Exception exc)
            {
                Console.WriteLine("\n\t!!!Exception has occured {0}\n", exc);
                Console.WriteLine("termination... CTL+C  \n");
            }

        }
    }
}
